function [outputArg] = plot_suspension_velocities(panel, pltData, tr)
    % create tiledlayout (R2023a and newer)
    tl = tiledlayout(panel,"vertical");
    % plot 1: velocity heave front [mm/s]
    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Heave Front [mm/s]")
    plot(ax1, pltData.xAxis(tr,:), pltData.velocityHeaveFront_mmps(tr,:))
    % plot 2: velocity roll front [mm/s]
    ax2 = nexttile(tl);
    hold(ax2, "on")
    grid(ax2, "on")
    title(ax2, "Roll Front [mm/s]")
    plot(ax2, pltData.xAxis(tr,:), pltData.velocityRollFront_mmps(tr,:))
    % plot 3: velocity heave front [mm/s]
    ax3 = nexttile(tl);
    hold(ax3, "on")
    grid(ax3, "on")
    title(ax3, "Heave Rear [mm/s]")
    plot(ax3, pltData.xAxis(tr,:), pltData.velocityHeaveRear_mmps(tr,:))
    % plot 4: velocity roll front [mm/s]
    ax4 = nexttile(tl);
    hold(ax4, "on")
    grid(ax4, "on")
    title(ax4, "Roll Rear [mm/s]")
    plot(ax4, pltData.xAxis(tr,:), pltData.velocityRollRear_mmps(tr,:))
    linkaxes([ax1, ax2, ax3, ax4],"x")

    % return null (not relevant for plots!)
    outputArg = [];
end

